%define major 7
%define libtool %mklibname indicator3
%define libname %mklibname indicator3_ %{major}
%define libdevel %mklibname indicator3 -d

Name:           libindicator
Summary:        A set of symbols and convenience functions for indicators
Group:          System/Libraries
Version:        12.10.1
Release:        %mkrel 2
License:        GPLv3
URL:            http://launchpad.net/libindicator
Source0:        http://launchpad.net/libindicator/12.10/%{version}/+download/%{name}-%{version}.tar.xz
#------------------------------------------------
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}pango1.0-devel
#------------------------------------------------

%description
A set of symbols and convenience functions that all indicators would like
to use. Not of real use outside of the Ayatana indicators project.

#--------------------------------------------------------------------
%package -n %{libname}
Summary:        libindicator3 library
Group:          System/Libraries
Obsoletes:	libindicator-gtk3

%description -n %{libname}
Library for libindicator3.

%files -n %{libname}
%{_libdir}/libindicator3.so.%{major}*
%{_libdir}/libindicator.so.7*

#--------------------------------------------------------------------
%package -n %{libtool}-tools
Summary:        libindicator3 tool
Group:          System/Libraries
Obsoletes:	libindicator-gtk3-tools

%description -n %{libtool}-tools
Tool to load libindicator3 plugins.

%files -n %{libtool}-tools
%{_libexecdir}/indicator-loader3
%{_libexecdir}/indicator-loader
%{_libdir}/libdummy-indicator-blank.so
%{_libdir}/libdummy-indicator-entry-func.so
%{_libdir}/libdummy-indicator-null.so
%{_libdir}/libdummy-indicator-signaler.so
%{_libdir}/libdummy-indicator-simple.so
%{_libdir}/libdummy-indicator-visible.so
   
#--------------------------------------------------------------------
%package -n %{libdevel}
Summary:        libindicator3 development files
Group:          Development/Libraries
Requires:       %{libname} >= %{version}
Obsoletes:	libindicator-gtk3-devel

%description -n %{libdevel}
Development files needed by libindicator3.

%files -n %{libdevel}
%{_includedir}/libindicator3-0.4/libindicator/
%{_includedir}/libindicator-0.4
%{_libdir}/libindicator3.so
%{_libdir}/libindicator.so
%{_libdir}/pkgconfig/indicator3-0.4.pc
%{_libdir}/pkgconfig/indicator-0.4.pc
%{_datadir}/libindicator/80indicator-debugging

#--------------------------------------------------------------------
%prep
%setup -q

%build

pushd build-gtk2
export CFLAGS="%{optflags} -Wno-error=deprecated-declarations"
%configure2_5x --with-gtk=2 --disable-static
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make -j1 V=1
popd

pushd build-gtk3
export CFLAGS="%{optflags} -Wno-error=deprecated-declarations"
%configure2_5x --with-gtk=3 --disable-static
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make -j1
popd


%install
rm -rf %buildroot

pushd build-gtk2
make install DESTDIR=%{buildroot}
popd

pushd build-gtk3
make install DESTDIR=%{buildroot}
popd


# Clean .la files
find %{buildroot}%{_libdir} -name '*.la' -delete -print


%changelog
* Mon May 04 2015 bb <bb> 12.10.1-2pclos2015
- rebuild with gtk2 and gtk3

* Mon Nov 10 2014 bb <bb> 12.10.1-1pclos2014
- update
